# ExecutionMode (junit-jupiter-api 5.12.2 API)
declaration: package: org.junit.jupiter.api.parallel, enum: ExecutionMode

Package org.junit.jupiter.api.parallel

# Enum Class ExecutionMode

java.lang.Object
java.lang.Enum<ExecutionMode>
org.junit.jupiter.api.parallel.ExecutionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ExecutionMode>`, `Constable`

@API(status=STABLE, since="5.10") public enum ExecutionMode extends Enum<ExecutionMode>
Supported execution modes for parallel test execution.

Since:
  5.3
See Also:
  - `SAME_THREAD`
  - `CONCURRENT`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONCURRENT`
Allow concurrent execution with any other node.
`SAME_THREAD`
Force execution in same thread as the parent node.

## Method Summary

Modifier and Type
Method
Description
`static ExecutionMode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ExecutionMode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SAME_THREAD

public static final ExecutionMode SAME_THREAD
Force execution in same thread as the parent node.

See Also:
  - `CONCURRENT`

### CONCURRENT

public static final ExecutionMode CONCURRENT
Allow concurrent execution with any other node.

See Also:
  - `SAME_THREAD`

## Method Details

### values

public static ExecutionMode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ExecutionMode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null